#### Description:

This function returns a pointer to the Frame represented by a Region.

#### Synopsis

AstFrame ∗astGetRegionFrame( AstRegion ∗this )

#### Parameters:

##### this

Pointer to the Region.

#### Returned Value

##### astGetRegionFrame()

A pointer to a deep copy of the Frame represented by the Region. Using this pointer to modify the Frame will have no effect on the Region. To modify the Region, use the Region pointer directly.

#### Notes:

- A null Object pointer (AST__NULL) will be returned if this function is invoked with the AST error status set, or if it should fail for any reason.

Copyright (C) 2021 East Asian Observatory